#########################################################################
# COPYRIGHT (C) 2003         EDF R&D              WWW.CODE-ASTER.ORG    #
#                                                                       #
# THIS PROGRAM IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR         #
# MODIFY IT UNDER THE TERMS OF THE GNU GENERAL PUBLIC LICENSE AS        #
# PUBLISHED BY THE FREE SOFTWARE FOUNDATION; EITHER VERSION 2 OF THE    #
# LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.                       #
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,       #
# BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF        #
# MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU      #
# GENERAL PUBLIC LICENSE FOR MORE DETAILS.                              #
#                                                                       #
# YOU SHOULD HAVE RECEIVED A COPY OF THE GNU GENERAL PUBLIC LICENSE     #
# ALONG WITH THIS PROGRAM; IF NOT, WRITE TO : EDF R&D CODE_ASTER,       #
#    1 AVENUE DU GENERAL DE GAULLE, 92141 CLAMART CEDEX, FRANCE.        #
#########################################################################

# $Id: ihm_etude.tcl,v 1.2 2003/01/23 13:35:53 mcourtoi Exp $

# Onglet ETUDE
#################################################################
proc affiche_etude {} {
   pack [frame $astk::ihm(fenetre).active -relief raised -bd 1 -width 500 -height 150] -anchor nw -fill both -expand 1

	# frame bouton et chemin de base
   pack [frame $astk::ihm(fenetre).active.base -relief raised -bd 1] -fill both -padx 3 -pady 3
      fenEEC2 $astk::ihm(fenetre).active.base [ashare::mess ihm 38]
   pack [frame $astk::ihm(fenetre).active.base.basepath -bd 0] -pady 0
# frame liste des fichiers et icones
	pack [frame $astk::ihm(fenetre).active.princ -relief raised -bd 1] -fill both -anchor nw -padx 3 -pady 3
   pack [frame $astk::ihm(fenetre).active.princ.liste] -side left -fill both -expand 1 -anchor nw
   pack [frame $astk::ihm(fenetre).active.princ.icone] 
# frame debug
   pack [frame $astk::ihm(fenetre).active.dbg ] -padx 3 -pady 3
# frame argument
	pack [frame $astk::ihm(fenetre).active.arg -relief raised -bd 1 ] -fill both -expand 1 -padx 3 -pady 3

   chemin_base $astk::ihm(fenetre).active.base.basepath $astk::ihm(fenetre).active.princ.liste etude
   liste_fich $astk::ihm(fenetre).active.princ.liste 0 etude
   liste_icone $astk::ihm(fenetre).active.princ.icone $astk::ihm(fenetre).active.princ.liste etude

# bouton make_etude = non
	checkbutton $astk::ihm(fenetre).active.dbg.choix -offvalue oui -onvalue non -variable astk::profil(make_etude)
   label $astk::ihm(fenetre).active.dbg.lbl -font $astk::ihm(font,lab) -text [ashare::mess ihm 103]
   pack $astk::ihm(fenetre).active.dbg.choix $astk::ihm(fenetre).active.dbg.lbl -side left

	affiche_arg $astk::ihm(fenetre).active.arg
}

# Onglet TESTS
#################################################################
proc affiche_tests {} {
   pack [frame $astk::ihm(fenetre).active -relief raised -bd 1 -width 500 -height 150] -anchor nw -fill both -expand 1

# frame bouton et chemin de base
   pack [frame $astk::ihm(fenetre).active.base -relief raised -bd 1] -fill both -padx 3 -pady 3
      fenEEC2 $astk::ihm(fenetre).active.base [ashare::mess ihm 39]
   pack [frame $astk::ihm(fenetre).active.base.basepath -bd 0] -pady 0
# frame liste des fichiers et icones
	pack [frame $astk::ihm(fenetre).active.princ -relief raised -bd 1] -fill both -anchor nw -padx 3 -pady 3
   pack [frame $astk::ihm(fenetre).active.princ.liste] -side left -fill both -expand 1 -anchor nw
   pack [frame $astk::ihm(fenetre).active.princ.icone] 
# frame argument
	pack [frame $astk::ihm(fenetre).active.arg -relief raised -bd 1 ] -fill both -expand 1 -padx 3 -pady 3

   chemin_base $astk::ihm(fenetre).active.base.basepath $astk::ihm(fenetre).active.princ.liste tests
   liste_fich $astk::ihm(fenetre).active.princ.liste 0 tests
   liste_icone $astk::ihm(fenetre).active.princ.icone $astk::ihm(fenetre).active.princ.liste tests

	affiche_arg $astk::ihm(fenetre).active.arg
}
