#########################################################################
# COPYRIGHT (C) 2003         EDF R&D              WWW.CODE-ASTER.ORG    #
#                                                                       #
# THIS PROGRAM IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR         #
# MODIFY IT UNDER THE TERMS OF THE GNU GENERAL PUBLIC LICENSE AS        #
# PUBLISHED BY THE FREE SOFTWARE FOUNDATION; EITHER VERSION 2 OF THE    #
# LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.                       #
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,       #
# BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF        #
# MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU      #
# GENERAL PUBLIC LICENSE FOR MORE DETAILS.                              #
#                                                                       #
# YOU SHOULD HAVE RECEIVED A COPY OF THE GNU GENERAL PUBLIC LICENSE     #
# ALONG WITH THIS PROGRAM; IF NOT, WRITE TO : EDF R&D CODE_ASTER,       #
#    1 AVENUE DU GENERAL DE GAULLE, 92141 CLAMART CEDEX, FRANCE.        #
#########################################################################

# $Id: ihm_execution.tcl,v 1.3 2003/02/20 17:30:23 mcourtoi Exp $

# Onglet EXECUTION
#################################################################
proc affiche_surcharge {} {
   pack [frame $astk::ihm(fenetre).active -relief raised -bd 1 -width 500 -height 150] -anchor nw -fill both -expand 1

	# frame bouton et chemin de base
   pack [frame $astk::ihm(fenetre).active.base -relief raised -bd 1] -fill both -padx 3 -pady 3
      fenEEC2 $astk::ihm(fenetre).active.base [ashare::mess ihm 40]
   pack [frame $astk::ihm(fenetre).active.base.basepath -bd 0] -pady 0
	# frame liste des fichiers sources et icones
	pack [frame $astk::ihm(fenetre).active.src -relief raised -bd 1] -fill both -anchor nw -padx 3 -pady 3
   pack [frame $astk::ihm(fenetre).active.src.liste] -side left -fill both -expand 1 -anchor nw
   pack [frame $astk::ihm(fenetre).active.src.icone] 

	# frame bouton 2
   pack [frame $astk::ihm(fenetre).active.base2 -relief raised -bd 0] -fill both -padx 3 -pady 0
      fenEEC2 $astk::ihm(fenetre).active.base2 [ashare::mess ihm 41]
	# frame liste des produits et icones
	pack [frame $astk::ihm(fenetre).active.prod -relief raised -bd 1] -fill both -anchor nw -padx 3 -pady 3
   pack [frame $astk::ihm(fenetre).active.prod.liste] -side left -fill both -expand 1 -anchor nw
   pack [frame $astk::ihm(fenetre).active.prod.icone] 

   chemin_base $astk::ihm(fenetre).active.base.basepath $astk::ihm(fenetre).active.src.liste sources
   liste_fich $astk::ihm(fenetre).active.src.liste 0 sources
   liste_icone $astk::ihm(fenetre).active.src.icone $astk::ihm(fenetre).active.src.liste sources

   liste_fich $astk::ihm(fenetre).active.prod.liste 0 surcharge
   liste_icone $astk::ihm(fenetre).active.prod.icone $astk::ihm(fenetre).active.prod.liste surcharge
}
